For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create Purchase Despatch Notification Rule

Alış irsaliyesi için bildirim kuralı oluşturur.

post

Alış irsaliyesine ait bildirim kuralı oluşturmak için bu ucu kullanabilirsiniz.

Authorizations
HTTPRequired

API anahtar� giriniz

Body
Responses
400

Geçersiz İstek | Gönderdiğiniz istekte geçersiz veriler bulunduğu anlamında gelmektedir | Detaylar için tıklayınız

No content

post/Notification/Purchase
POST /edespatch/Notification/Purchase HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 248

{
  "NotificationDto": {
    "ID": 1,
    "RuleName": "text",
    "Rules": [
      {
        "Property": "DocumentProfile",
        "Operator": "GreaterOrEqual",
        "ValueFirst": "text",
        "ValueSecond": "text"
      }
    ],
    "Contact": [
      {
        "NotificationValue": "text",
        "NotificationValueType": "Whatsapp"
      }
    ],
    "IsActive": true
  }
}

No content

var options = new RestClientOptions("https://apitest.nilvera.com")
{
    MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("/edespatch/Notification/Purchase", Method.Post);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Authorization", "APIKEY");

var body = new
{
    NotificationDto = new
    {
        ID = 0,
        RuleName = "string",
        Rules = new[]
        {
            new
            {
                Property = "DocumentProfile",
                Operator = "GreaterOrEqual",
                ValueFirst = "string",
                ValueSecond = "string"
            }
        },
        Contact = new[]
        {
            new
            {
                NotificationValue = "string",
                NotificationValueType = "Whatsapp"
            }
        },
        IsActive = true
    }
};

request.AddJsonBody(body);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);

Last updated